Subject: [radext] Acct-Status-Type and subsystems

From: Alan DeKok <[email-masked]>
Date: Tue, 13 Oct 2015 15:41:34 -0400

Lionel says:
> - The proposed changes introduce the concept of " subsystem of NAS" that is not defined, nor in RFC2865/2865, nor in the proposed changes. It should be introduced somewhere.

  I have a longer write-up on the web at http://freeradius.org/rfc/acct_status_type_subsystem.html

  The problem is that  multiple vendors are using "Acct-Status-Type = Accounting-On" and "Acct-Status-Type = Accounting-Off" for purposes which do not match the criteria in RFC 2866.  This is bad.

  The suggestion is to define two new Acct-Status-Type values, which better suit the vendors needs.

  The *utility* of Subsystem-On / Subsystem-Off is to signal that masses of users have been kicked off of the network.  It means that the NAS send one packet "subsystem off", instead of many "user session is stopped" packets.

  I don't want to define what a "subsystem" is, because I think any quantitative definition will be too limited.  I would suggest leaving it to the NAS implementors.

  As for Called-Station-Id, that's where more hand-waving comes in.  The values should be unique per subsystem.  What are those values?  That depends on the subsystem...

  The intent here is to clarify issues, not to create perfect solutions.  If I wanted a perfect solution, I wouldn't be using RADIUS. :(

  Alan DeKok.